/////////////////////////////////////////////////////////////////////////////
// Name:        xh_dlg.h
// Purpose:     XML resource handler for dialogs with Matrix-Layout enhancer
// Author:      Aleksandras Gluchovas
// Created:     2000/03/05
// RCS-ID:      $Id: xh_mtx_frame.h,v 1.1 2001/02/25 11:56:04 aleksandras Exp $
// Copyright:   (c) 2000 Aleksandras Gluchovas
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef _WX_XH_MTX_FRAME_H_
#define _WX_XH_MTX_FRAME_H_

#ifdef __GNUG__
#pragma interface "xh_mtx_frame.h"
#endif

#include "wx/xml/xmlres.h"
#include "wx/xml/xh_frame.h"

class WXDLLEXPORT wxMtxFrameXmlHandler : public wxFrameXmlHandler
{
    public:
        wxMtxFrameXmlHandler();
        virtual wxObject *DoCreateResource();
        virtual bool CanHandle(wxXmlNode *node);
};


#endif // _WX_XH_MTX_FRAME_H_
